由于编译nodejs 5.1需要4.7以上版本的gcc,而CentOS自带的gcc版本只有4.3,因此需要手动编译安装。所有操作都默认由root用户执行。

1.下载源码
# wget ftp://mirrors.kernel.org/gnu/gcc/gcc-4.9.0/gcc-4.9.0.tar.gz
2. 解压,下载依赖包
# tar -zxvf gcc-4.9.0.tar.gz # cd gcc-4.9.0 # ./contrib/download_prerequisites
3. 编译并安装
# ./configure --enable-checking=release --enable-languages=c,c++
--disable-multilib # make -j4 # make install
make -j4大约会持续20多分钟。-j4是多线程的优化,CPU 8线程的话可以-j8。

4. 查看版本

(之后我好像重启了一次系统才生效)
# gcc -v Using built-in specs. COLLECT_GCC=gcc COLLECT_LTO_WRAPPER=/usr/local
/libexec/gcc/x86_64-unknown-linux-gnu/4.9.0/lto-wrapper Target:
x86_64-unknown-linux-gnu Configuredwith: ./configure --enable-checking=release
--enable-languages=c,c++ --disable-multilib Thread model: posix gcc version 4.9
.0 (GCC)

技术
©2020 ioDraw All rights reserved
软件测试流程图vue/cli4的安装与使用Librosa音频处理(六)表面模糊滤镜中年失业破产后当雇佣兵、倒卖煎饼果子 游戏里的打工人也这么难?Vue新手:实现文件预览功能的前端企业网络拓扑图Softmax分类器及最优化@ControllerAdvice拦截异常返回数据【socket】案例分析